--          HoT Online Team
--          Script: SprayAdditions
--          Version: 1.0.0
--          Scripter: Zombold
--          No editing and no usage without permission.

sprayAdditions = {}

modDirectory = g_currentModDirectory or ""
modName = g_currentModName or "unknown"

function sprayAdditions:loadMap()
    local XMLDir = modDirectory .. "xml/sprayTypes.xml"
    if fileExists(XMLDir) then
        local xmlFile = loadXMLFile("sprayTypes", XMLDir)
        local i = 0
        while true do
            local xmlKey = string.format("map.sprayTypes.sprayType(%d)", i)
            if not hasXMLProperty(xmlFile, xmlKey) then
                break
            end
            local name = getXMLString(xmlFile, xmlKey .. "#name")
            local litersPerSecond = getXMLFloat(xmlFile, xmlKey .. "#litersPerSecond")
            local typeName = getXMLString(xmlFile, xmlKey .. "#type")
            local sprayGroundType = g_currentMission.fieldGroundSystem:getFieldSprayValueByName(
                getXMLString(xmlFile, xmlKey .. "#sprayGroundType")
            )
            if name and litersPerSecond and typeName and sprayGroundType then
                local isBaseType = true
                g_sprayTypeManager:addSprayType(name, litersPerSecond, typeName, sprayGroundType, isBaseType)

                local materialHolderPath = modDirectory .. "material_holders/liquidbiofertilizer_materialHolder.i3d"
                g_materialManager:addModMaterialHolder(materialHolderPath)
            end
            i = i + 1
        end
    end
end

addModEventListener(sprayAdditions)
